Bug 180589 - With default setup, can't show all pinyin keys in candidate window when input Chinese charater
With default setup, can't show all pinyin keys in candidate window when input...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-pinyin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Qian Shen
:
Depends On:
Blocks: 186896
  Show dependency treegraph
 
Reported: 2006-02-09 01:01 EST by Qingyu Wang
Modified: 2015-10-25 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 03:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qingyu Wang 2006-02-09 01:01:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.10) Gecko/20050909 Red Hat/1.0.6-1.4.2 Firefox/1.0.6

Description of problem:
With the default setup, when user input multi-characters words, scim-pinyin just shows current-input Chinese character's pinyin at the top of candidate window, this really make user confused. Especially when user want to input ��zhong��(����), after user input ��zho��, scim-pinyin separates ��zho�� as ��zh�� and ��o�� automatically, and shows the current-input character's pinyin ��o�� only. 
After check the item "show all keys" of smart pinyin setup in setup panal, all pinyin keys will show in the candidate. So we should change the default setup of scim-pinyin for this feature.

Version-Release number of selected component (if applicable):
scim-pinyin-0.5.91

How reproducible:
Always

Steps to Reproduce:
1.Install scim-pinyin
2.Activate scim and change imput method to smart pinyin
3.Input "zhong"(����)
4.Open setup panal and choose "samrt pinyin" label, check the item "show all keys"
  

Actual Results:  1. After user input ��zho��, scim-pinyin separates ��zho�� as ��zh�� and ��o�� automatically, and shows the current-input character's pinyin ��o�� only. This make users really confused.
2. The item "show all keys" is not checked.


Expected Results:  1. All pinyin keys "zhong" will show in candidate window.
2. The item "show all keys" is checked.

Additional info:
Comment 1 Qingyu Wang 2006-02-09 01:03:10 EST
"zhong"("中")
Comment 2 Qian Shen 2006-02-13 03:56:29 EST
just set show_all_keys to true as default. 
add scim-pinyin-showallkeys.patch. 

Note You need to log in before you can comment on or make changes to this bug.